﻿#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <QtWidgets/QDialog>
#include <QtWidgets/QLabel>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QVBoxLayout>
#include <QMouseEvent>
#include "Common.h"
#include "FlatDropWidget.h"
#include "TitleBar.h"

class AboutDialog : public FlatDropWidget
{
	Q_OBJECT

public:
    explicit AboutDialog(QWidget *parent = 0);
    ~AboutDialog();

private:
    void initUI();

private:
    TitleBar* m_pTitleBar;
    QLabel *m_pLogoLabel; //图标
    QLabel *m_maintanLabel;
    QLabel *m_pInfoLabel; //slogan
    QLabel *m_pVersionLabel; //主程序版本
    QLabel *m_pCopyrightLabel; //版本信息

    QVBoxLayout *m_pMainLayout;
};

#endif  //ABOUTDIALOG_H
