#ifndef FLATDROPWIDGET_H
#define FLATDROPWIDGET_H

#include <QtWidgets/QDialog>

class FlatDropWidget : public QDialog
{
    Q_OBJECT
public:
    explicit FlatDropWidget(QWidget *parent = 0);

protected:
    void mousePressEvent(QMouseEvent *e);
    void mouseMoveEvent(QMouseEvent *e);
    void mouseReleaseEvent(QMouseEvent *e);

private:
    QPoint m_lastPos;
    bool m_bPressedWidget;
};

#endif // FLATDROPWIDGET_H
