#ifndef GLOBALDEF_H
#define GLOBALDEF_H

#include <QMap>
#include <QString>

//kysec执行控制标记类型
enum e_exectl_status_type {
    exectl_status_verified = 0,          //已认证
    exectl_status_system,                //系统认证
    exectl_status_unauth,                //未认证
    exectl_status_distort                //被篡改
};

extern bool g_bAdmPrivilege;

extern QMap<int, QString> g_mapFileType;
extern QMap<int, QString> g_mapExectlSatus;
extern QMap<int, QString> g_mapFileProtectStatus;

int get_exectl_status_type(int exectl, int status);

bool check_user_privilege();

class GlobalDef
{
public:
    GlobalDef();
};

#endif // GLOBALDEF_H
