#ifndef KYSECFUNCTIONWIDGET_H
#define KYSECFUNCTIONWIDGET_H

#include <QtWidgets/QWidget>
#include <QtWidgets/QLabel>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QVBoxLayout>
#include <KysecSwitchButton.h>

class KysecFunctionWidget : public QWidget
{
    Q_OBJECT
public:
    explicit KysecFunctionWidget(QWidget *parent = 0);
    ~KysecFunctionWidget();

    void setText(QString name, QString desc, QString logo);
    KysecSwitchButton* getSwitchBtn()   {   return m_pSwitch;    }

    void set_switchbtn_enabled(bool enabled);

private:
    void initUI();

private:
    QLabel *m_pLogo;
    QLabel *m_pName;
    QLabel *m_pDesc;
    KysecSwitchButton* m_pSwitch;

    QHBoxLayout* m_pLayout;
    QVBoxLayout* m_pVLayout;
    QHBoxLayout* m_pHLayout;
};

#endif // KYSECFUNCTIONWIDGET_H
