#ifndef KYSECMANAGE_H
#define KYSECMANAGE_H

#include <QtWidgets/QWidget>
#include "FlatDropWidget.h"
#include "KysecConfigureDlg.h"
#include "KysecSettingDlg.h"
#include "KysecManageMain.h"
#include "KysecMainDlg.h"

class KysecManage : public FlatDropWidget
{
    Q_OBJECT
public:
    explicit KysecManage(QWidget *parent = 0);

    void enter_cfg_dialog();

private:
    void initUI();
    void initConnection();

private slots:
    void slot_switchDlg();
    void slot_close();
    void slot_minimize();

private:
    KysecMainDlg* m_pKysecMainDlg;
    KysecManageMain* m_pKysecManageMain;
    KysecConfigureDlg* m_pKysecConfigureDlg;
    KysecSettingDlg* m_pKysecSettingDlg;
};

#endif // KYSECMANAGE_H
