#ifndef KYSECTABLEVIEW_H
#define KYSECTABLEVIEW_H

#include <QtWidgets/QTableView>
#include "KysecTableModelBase.h"

class KysecTableView : public QTableView
{
    Q_OBJECT
public:
    explicit KysecTableView(QWidget *parent = 0);
    void setKysecModel(KysecTableModelBase* pModel);

signals:
    void signal_index_hovered(QModelIndex index);

protected:
    virtual void mouseMoveEvent(QMouseEvent *event);
    virtual void leaveEvent(QEvent *event);

private:
    void updateRow(int row);

private:
    int current_row;
    KysecTableModelBase* m_pModel;

};

#endif // KYSECTABLEVIEW_H
