#ifndef PROCESSADDWAITINGDIALOG_H
#define PROCESSADDWAITINGDIALOG_H

#include "WaitingDialogBase.h"
#include <QStringList>

class ProcessAddWaitingDialog : public WaitingDialogBase
{
    Q_OBJECT
public:
    explicit ProcessAddWaitingDialog(QWidget *parent = 0);
    ~ProcessAddWaitingDialog();

    void setPathList(int type, QStringList list);

protected:
    virtual int processEvent();

private:
    QStringList extractFileList();
    bool isFileValid(QString path);

private:
    int m_type;
    QStringList m_list;
};

#endif // PROCESSADDWAITINGDIALOG_H
