#ifndef COMMON_H
#define COMMON_H

#define WINDOW_WIDTH            920
#define WINDOW_HEIGHT           560

#define TITLEBAR_WIDTH          920
#define TITLEBAR_HEIGHT         40

#define ABOUT_DIALOG_WIDTH      560
#define ABOUT_DIALOG_HEIGHT     360

#define COMMON_DIALOG_WIDTH     420
#define COMMON_DIALOG_HEIGHT    240

#define MENU_BTN_WIDTH          30
#define MENU_BTN_HEIGHT         24

#define BACKGROUND_WIDTH        920
#define BACKGROUND_HEIGHT       200

#define LOGO_108_WIDTH          108
#define LOGO_108_HEIGHT         108

#define LOGO_36_WIDTH          36
#define LOGO_36_HEIGHT         36

#define LOGO_24_WIDTH          24
#define LOGO_24_HEIGHT         24

#define LOGO_16_WIDTH          16
#define LOGO_16_HEIGHT         16

#define SHADOW_WIDTH            5
#define WINDOW_START_X          0
#define WINDOW_START_Y          0
#define WINDOW_PAGE_COUNT       4
#define WINDOW_BUTTON_COUNT     4
#define WINDOW_PAGE_MOVE        20
#define WINDOW_ONEBUTTON_WIDTH  170
#define DEFAULT_SKIN            ":/skin/17_big"

typedef enum{
	UI_EN,
	UI_ZH
}LANGUAGE;

typedef enum{
	SAFE,
	SINA,
	RENREN
}LOGIN;

typedef enum{
	HELP_ONLINE,
	PLATFORM_HELP,
	LOGIN_HOME,
	PROTECT
}ACTION;

//枚举按钮的几种状态
typedef enum{
	NORMAL,
	ENTER,
	PRESS,
	NOSTATUS
}ButtonStatus;

#endif // COMMON_H
