#include "KysecLabelBtn.h"

KysecLabelBtn::KysecLabelBtn(QWidget *parent) : QLabel(parent)
{
    setMouseTracking(true);   //跟踪鼠标移动事件
}

void KysecLabelBtn::mousePressEvent(QMouseEvent *event)
{   
    QLabel::mousePressEvent(event);
}

void KysecLabelBtn::mouseReleaseEvent(QMouseEvent *event)
{    
    emit on_Clicked();
    QLabel::mouseReleaseEvent(event);
}

void KysecLabelBtn::enterEvent(QEvent *event)
{
    m_text = text();
    setText(QString("<u>%1</u>").arg(m_text));

//    setStyleSheet("text-decoration:underline");
    QLabel::enterEvent(event);
}

void KysecLabelBtn::leaveEvent(QEvent *event)
{
    setText(m_text);
//    setStyleSheet("text-decoration:none");
    QLabel::leaveEvent(event);
}
