#ifndef KYSECLABELBTN_H
#define KYSECLABELBTN_H

#include <QtWidgets/QLabel>

class KysecLabelBtn : public QLabel
{
    Q_OBJECT
public:
    explicit KysecLabelBtn(QWidget *parent = 0);

    void setDisplayText(QString underline, QString common);

signals:
    void on_Clicked();

protected:
    void mousePressEvent(QMouseEvent* event);
    void mouseReleaseEvent(QMouseEvent* event);
    void enterEvent(QEvent* event);
    void leaveEvent(QEvent*event);

private:
    QString m_text;
};

#endif // KYSECLABELBTN_H
