﻿#ifndef MAINMENU_H
#define MAINMENU_H

#include <QtWidgets/QMenu>
#include <QDesktopServices>
#include <QUrl>
#include "Common.h"

class MainMenu : public QMenu
{
	Q_OBJECT

public:
	explicit MainMenu(QWidget *parent = 0);
    ~MainMenu();

signals:    
    void signal_showNewCharacter();
    void signal_systemSetting();
    void signal_showAboutUs();

private slots:
    void slot_showPage();

private:	
	void createActions();

private:    
    QAction *m_pActionNewCharacter; //用户手册
    QAction *m_pActionSysetmSetting;
    QAction *m_pActionCheckUpdate; //检查更新
    QAction *m_pActionPlatformHelp; //论坛求助
    QAction *m_pActionLoginHome; //
    QAction *m_pActionProtect; //隐私保护
    QAction *m_pActionAboutUs; //关于我们

};

#endif //MAINMENU_H
